image: node:12.18.4

before_script:
  - apt-get update -qq && apt-get install

stages:
  - build
  - deploy

cache:
  paths:
    - node_modules/

install_dependencies:
  stage: build
  script:
    - npm install
  artifacts:
    paths:
      - node_modules/
  only:
    - master

deploy_heroku:
  stage: deploy
  image: ruby:latest
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=isaybatch11 --api-key=$HEROKU_API_KEY
  only:
    - master
